<?php  namespace Concrete\Package\Janolaw;

defined('C5_EXECUTE') or die('Access Denied.');

use Package;
use BlockType;
use SinglePage;
use Database;

class Controller extends Package
{
	protected $pkgHandle = 'janolaw';
	protected $appVersionRequired = '5.7.5';
	protected $pkgVersion = '1.0.6';

	public function getPackageName()
	{
		return t("Janolaw Anti-Warning");
	}

	public function getPackageDescription()
	{
		return t("Janolaw Anti-Warning | Imprint and Data Security");
	}

	public function install()
	{
		$pkg = parent::install();

		// Install blocks
		BlockType::installBlockType('janolaw', $pkg);

		// Install dashboard pages
		$pageIndex = SinglePage::add('/dashboard/janolaw', $pkg);
		$pageIndex->updateCollectionName(t('Janolaw'));
		$pageSettings = SinglePage::add('/dashboard/janolaw/settings', $pkg);
		$pageSettings->updateCollectionName(t('Settings'));
		
		// Insert default entry
		$this->addEntry($pkg);

		return $pkg;
	}

	public function uninstall()
	{
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btJanolawBlock');
	}
	
	public function addEntry($pkg)
	{
		$config = $pkg->getConfig();
		$config->save('janolaw.user_id', '');
		$config->save('janolaw.shop_id', '');
		$config->save('janolaw.imprint_de', '');
		$config->save('janolaw.imprint_gb', '');
		$config->save('janolaw.imprint_fr', '');
		$config->save('janolaw.datasecurity_de', '');
		$config->save('janolaw.datasecurity_gb', '');
		$config->save('janolaw.datasecurity_fr', '');
		$config->save('janolaw.modified', '');
	}
}
